Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class XMLBaseSupport

    java.lang.Object
      org.apache.batik.dom.svg.XMLBaseSupport

All Implemented Interfaces:
  XMLConstants

public class XMLBaseSupport
extends java.lang.Object
implements XMLConstants

This class provides support for the xml:base attribute.

Field Summary

Fields inherited from interface org.apache.batik.util.XMLConstants
`XLINK_NAMESPACE_URI, XLINK_PREFIX, XML_CHAR_AMP, XML_CHAR_APOS, XML_CHAR_GT, XML_CHAR_LT, XML_CHAR_QUOT, XML_CHAR_REF_PREFIX, XML_CHAR_REF_SUFFIX, XML_CLOSE_TAG_END, XML_CLOSE_TAG_START, XML_DEFAULT_VALUE, XML_DOUBLE_QUOTE, XML_ENTITY_AMP, XML_ENTITY_APOS, XML_ENTITY_GT, XML_ENTITY_LT, XML_ENTITY_QUOT, XML_EQUAL_QUOT, XML_EQUAL_SIGN, XML_LANG_ATTRIBUTE, XML_NAMESPACE_URI, XML_OPEN_TAG_END_CHILDREN, XML_OPEN_TAG_END_NO_CHILDREN, XML_OPEN_TAG_START, XML_PREFIX, XML_PRESERVE_VALUE, XML_SPACE, XML_SPACE_ATTRIBUTE, XML_TAB, XMLNS_NAMESPACE_URI, XMLNS_PREFIX`

Constructor Summary
`protected` | `XMLBaseSupport()` This class does not need to be instanciated.

Method Summary
`static java.lang.String` | `getCascadedXMLBase(org.w3c.dom.Element elt)` Returns the xml:base attribute value of the given element Resolving any dependency on parent bases if needed.
`static java.lang.String` | `getXMLBase(org.w3c.dom.Element elt)` Returns the xml:base attribute value of the given element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLBaseSupport

    protected XMLBaseSupport()

  This class does not need to be instanciated.

Method Detail

### getXMLBase

    public static java.lang.String getXMLBase(org.w3c.dom.Element elt)

  Returns the xml:base attribute value of the given element.

### getCascadedXMLBase

    public static java.lang.String getCascadedXMLBase(org.w3c.dom.Element elt)

  Returns the xml:base attribute value of the given element Resolving any dependency on parent bases if needed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.